io.undertow.server

## Class HttpServerExchange.WrapperConduitFactory<T extends org.xnio.conduits.Conduit>

- java.lang.Object
- - io.undertow.server.HttpServerExchange.WrapperConduitFactory<T>

All Implemented Interfaces:
  ConduitFactory<T>

Enclosing class:
  HttpServerExchange

    public static class HttpServerExchange.WrapperConduitFactory<T extends org.xnio.conduits.Conduit>
    extends Object
    implements ConduitFactory<T>

### Constructor Summary

Constructors
Constructor and Description
`WrapperConduitFactory(ConduitWrapper<T>[] wrappers, int wrapperCount, T first, HttpServerExchange exchange)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `create()` Create the channel instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrapperConduitFactory

    public WrapperConduitFactory(ConduitWrapper<T>[] wrappers,
                                 int wrapperCount,
                                 T first,
                                 HttpServerExchange exchange)

### Method Detail

#### create

    public T create()

Description copied from interface: `ConduitFactory`
Create the channel instance.

Specified by:
  `create` in interface `ConduitFactory<T extends org.xnio.conduits.Conduit>`
Returns:
  the channel instance